<?php

namespace Diamond\Infrastructure\Models\Stat;

use Diamond\Domain\Stat\Contracts\StatEntityInterface;
use Diamond\Infrastructure\Models\Stat\Base\Stat as BaseStat;

/**
 * Skeleton subclass for representing a row from the '_stat' table.
 *
 *
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 */
class Stat extends BaseStat  implements StatEntityInterface
{

    public function getDatetime($format = null)
    {
        if(!$this->datetime){
            $this->datetime =  new \DateTime();
        }

        return parent::getDatetime($format);
    }

}
